Latest Diablo 3 News
DiabloWiki Updates
Support the site! Become a Diablo: IncGamers PAL - Remove ads and more!

Possibility of Kenshi Open Sourcing ATMA?

Discussion in 'Single Player Forum' started by fearedbliss, Nov 19, 2015.

  1. fearedbliss

    fearedbliss IncGamers Member

    Joined:
    Jun 29, 2011
    Messages:
    395
    Likes Received:
    106
    Trophy Points:
    247
    Hello folks,

    I've been wondering for many years if Kenshi was willing to Open Source ATMA? I don't know what his views on open source but since he isn't maintaining or developing it anymore, it would be great if the code was available so people could continue to improve it. I definitely would be interested in looking at the code.

    I also noticed a while back that GoMule is open source but the latest source code for the Donkey release of GoMule was never actually distributed. It makes me think the author changed his mind on continuing to open source the GoMule code based. I believe I sent a message to one of the author's about this and they never got back to me.

    Open Source benefits everyone and there are no downsides for these types of applications and field where we aren't making any money from it and just do it to improve the Diablo II Single Player experience. That's one of the reasons I opened sourced "Bliss Version Switcher", as well as all of my other Non-Diablo II applications on my Github.

    I don't know how to get in contact with Kenshi since the info on the ATMA application is probably not valid anymore. Maybe if us community members reach out to him, he'll be willing to open it up?

    - Jonathan
     
    Last edited: Nov 19, 2015
  2. maxicek

    maxicek Moderator Single Player

    Joined:
    Aug 5, 2005
    Messages:
    5,565
    Likes Received:
    998
    Trophy Points:
    535
    For me ATMA is now outdated and there is little point is using it outside of older versions. In fact 1.07 compatibility for GoMule would be a feature request, or even as a standalone version.

    The Doc still drops by every now and again, have you tried PMing him?

    Randal did the last release of GoMule, I suggest PMing him if you want to work on that.

    Also clear any feature requests with Thyiad before you implement. She is the CCB at the SPF.
     
  3. fearedbliss

    fearedbliss IncGamers Member

    Joined:
    Jun 29, 2011
    Messages:
    395
    Likes Received:
    106
    Trophy Points:
    247
    I was tinkering with adding 1.09 support to GoMule a few years ago, but I don't know enough of the Diablo 2 character file data structures for me to do it. There was some info I found related to it but I did find some info online, not much though. I believe the 1.07 - 1.09 data structures are very similar which is why mods usually support 1.07 - 1.09 or 1.10+ rather than a consecutive range.

    As for contacting the owners of GoMule, I emailed them but didn't get any response.
     

Share This Page